
<?php  include_once('../../config/db.php');  include_once('../../config/check3.php'); 



$query = "  SELECT * FROM ( 
                              SELECT a.*,b.name bname ,c.name cname,d.name dname   from crmlead a
                              left join crmleadorigin b on a.origin=b.id
                              left join crmleadsource c on a.source=c.id
                              left join crmproduct d on a.product=d.id

             ) h WHERE h.branch='$storeID' or h.branch= 0
";





// if($_POST["length"] != -1)
// {
//  $query1 = 'LIMIT ' . $_POST['start'] . ', ' . $_POST['length'];
// }

$statement = $conn->prepare($query);
$statement->execute();
$number_filter_row = $statement->rowCount();

$result = $statement->fetchAll();

$data = array();

// $mydr=0;
// $mycr=0;

foreach($result as $row)
{
  
 //$actionButton = '<input type="radio" name="myradio" class="myradio" value="' . $row["id"] . '" /> </i></a>';
$edit = ' <form method="post" action="bpartnere" >  <button type="submit" style="background:none;border:none;padding:0px; outline:none; " name="edit" value="' . $row["id"] . '"   "> <i class="fa fa-edit" style="color:green;" ></i>  </button></form> ' ; 
$delete = ' <form method="post" action="" >  <button type="submit" style="background:none;border:none;padding:0px; font-color:red; outline:none; " name="delete" value="' . $row["id"] . '"   "> <i class="fa fa-trash" style="color:red;" ></i>  </button></form> ' ; 


 $sub_array = array();
 $sub_array[] =  $delete  ;
 $sub_array[] =  $edit  ;
 $sub_array[] = $row['bname'];
 $sub_array[] = $row['cname'];
  $sub_array[] = $row['dname'];
  $sub_array[] = $row['date'];
 $sub_array[] = $row['name'];
 $sub_array[] = $row['companyname'];

 $sub_array[] = $row['phone'];
 $sub_array[] = $row['email'];
 $sub_array[] = $row['website'];

 $data[] = $sub_array;

}

function count_all_data($conn,$query)
{
 $statement = $conn->prepare($query);
 $statement->execute();
 return $statement->rowCount();
}

$output = array(
                       "draw"       =>  $number_filter_row ,
                        "recordsTotal"   =>  count_all_data($conn,$query),
                        "recordsFiltered"  =>  $number_filter_row,
                        "data"       =>  $data
);

echo json_encode($output);

?>




